<?php
/**
 * Interface for the scraper classes
 *
 * Copyright (C) 2008  Sean Hickey
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Sean Hickey <sean@headzoo.com>
 * @version $Id: Interface.php 404 2008-07-05 03:04:23Z sean $
 * @package Alinks_Post
 */
interface Alinks_Post_Scraper_Interface
{
	/**
	 * Scrapes a post for in-post defined keyphrases
	 *
	 * Looks for anchor tags that have the alinks="save" attribute. When found,
	 * the link is turned into a keyphrase.
	 *
	 * @param int $post_id The post ID
	 * @return int
	 */
	function scrape($post_id);
}