<?php
/**
 * The settings menu
 *
 * Copyright (C) 2008  Sean Hickey
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Sean Hickey <sean@headzoo.com>
 * @version $Id: Settings.php 396 2008-07-04 21:44:45Z sean $
 */
?>
<div class="wrap">
	<h2>Settings</h2>
	<?php echo Alinks_Popup::show(Alinks_Popup::KEY_SETTINGS); ?>
	<p>Fields marked with <em style="color: #FF0000;">*</em> are required.</em>
	<fieldset class="<?php echo Alinks_Form::CLASS_FIELDSET_FACTORIES; ?>">
		<legend>aLinks Settings</legend>
		<form method="POST" action="" name="alinks">
			<input type="hidden" name="<?php echo Alinks_Form::FORM_ALINKS; ?>" value="1" />
			<input type="hidden" name="<?php echo Alinks_Form::FORM_FACTORY; ?>" value="alinks" />
			<?php wp_nonce_field(Alinks_Form::NONCE_ACTION); ?>
			<ul class="<?php echo Alinks_Form::CLASS_FORM; ?>">
				<li>
					<label for="alinks_max_links">Max Links Per Keyphrase: </label>
					<input type="text" id="alinks_max_links" name="<?php echo Alinks_Settings::MAX_LINKS; ?>" size="2"
					value="<?php echo htmlspecialchars(Alinks_Settings::get('alinks', Alinks_Settings::MAX_LINKS, Alinks_Settings::DEFAULT_MAX_LINKS)); ?>" />
					<div><small>A setting of -1 link keyphrases an unlimited times.</small></div>
				</li>
				<li class="alt">
					<label for="alinks_max_links">Max Links Per Post: </label>
					<input type="text" id="alinks_max_links" name="<?php echo Alinks_Settings::MAX_LINKS_POST; ?>" size="2"
					value="<?php echo htmlspecialchars(Alinks_Settings::get('alinks', Alinks_Settings::MAX_LINKS_POST, Alinks_Settings::DEFAULT_MAX_LINKS_POST)); ?>" />
					<div><small>A setting of -1 is unlimited links per post.</small></div>
				</li>
				<li>
					<label for="alinks_parse_comments">Linkify Comments</label>
					<input type="checkbox" id="alinks_parse_comments" name="<?php echo Alinks_Settings::PARSE_COMMENTS; ?>"
					value="1" <?php checked('1', Alinks_Settings::get('alinks', Alinks_Settings::PARSE_COMMENTS, Alinks_Settings::DEFAULT_PARSE_COMMENTS)); ?>/> 
					<div><small>Linkify keyphrases found in user comments.</small></div>
					<input type="hidden" name="__<?php echo Alinks_Settings::PARSE_COMMENTS; ?>" value="0" />
				</li>
				<li class="alt">
					<label for="alinks_inner_html">Inner HTML: </label>
					<input type="text" id="alinks_inner_html" name="<?php echo Alinks_Settings::INNER_HTML; ?>"
					value="<?php echo htmlspecialchars(Alinks_Settings::get('alinks', Alinks_Settings::INNER_HTML, Alinks_Settings::DEFAULT_INNER_HTML)); ?>"/>
					<div><small>Any HTML you want placed in each generated anchor tag.</small></div>
				</li>
				<li>
					<label for="alinks_classes">CSS Classes: </label>
					<input type="text" id="alinks_classes" name="<?php echo Alinks_Settings::CLASSES; ?>"
					value="<?php echo htmlspecialchars(Alinks_Settings::get('alinks', Alinks_Settings::CLASSES, Alinks_Settings::DEFAULT_CLASSES)); ?>"/>
					<div><small>One or more CSS classes to add to each created link. Separate each class name with a space.</small></div>
				</li>
				<li class="alt">
					<label for="alinks_new_window">Open Links In New Window/Tab</label>
					<input type="checkbox" id="alinks_new_window" name="<?php echo Alinks_Settings::NEW_WINDOW; ?>"
					value="1" <?php checked('1', Alinks_Settings::get('alinks', Alinks_Settings::NEW_WINDOW, Alinks_Settings::DEFAULT_NEW_WINDOW)); ?>/> 
					<div><small>Open clicked links in a new window/tab. <em>Note: This option uses the "target" attribute, which may invalidate your XHTML.</em></small></div>
					<input type="hidden" name="__<?php echo Alinks_Settings::NEW_WINDOW; ?>" value="0" />
				</li>
				<li class="alt">
					<label for="alinks_cache">Cache Alinks objects</label>
					<input type="checkbox" id="alinks_cache" name="<?php echo Alinks_Settings::ALINKS_CACHE; ?>"
					value="1" <?php checked('1', Alinks_Settings::get('alinks', Alinks_Settings::ALINKS_CACHE, Alinks_Settings::DEFAULT_ALINKS_CACHE)); ?>/> 
					<div><small>Enable Alinks caching. <em>This may improve performance but causes problems on some systems.</em></small></div>
					<input type="hidden" name="__<?php echo Alinks_Settings::ALINKS_CACHE; ?>" value="0" />
				</li>
				<li>
					<label for="alinks_default_export">Default Export Type: </label>
					<select id="alinks_default_export" name="<?php echo Alinks_Settings::DEFAULT_EXPORT; ?>">
						<option value="xml"<?php if (Alinks_Settings::get('alinks', Alinks_Settings::DEFAULT_EXPORT, Alinks_Settings::DEFAULT_DEFAULT_EXPORT) == 'xml') echo ' selected="selected"'; ?>>aLinks 2.0 XML</option>
						<option value="csv"<?php if (Alinks_Settings::get('alinks', Alinks_Settings::DEFAULT_EXPORT, Alinks_Settings::DEFAULT_DEFAULT_EXPORT) == 'csv') echo ' selected="selected"'; ?>>CSV</option>
						<option value="excel2000"<?php if (Alinks_Settings::get('alinks', Alinks_Settings::DEFAULT_EXPORT, Alinks_Settings::DEFAULT_DEFAULT_EXPORT) == 'excel2000') echo ' selected="selected"'; ?>>Microsoft Excel 2000</option>
						<option value="excelxml"<?php if (Alinks_Settings::get('alinks', Alinks_Settings::DEFAULT_EXPORT, Alinks_Settings::DEFAULT_DEFAULT_EXPORT) == 'excelxml') echo ' selected="selected"'; ?>>Microsoft Excel XML 2003</option>
					</select>
					<div><small>Documents will be exported in this type when you click the export button on the keyphrases menu. The aLinks 2.0 XML format is currently the <em style="color: #FF0000">only</em> format that can be imported back into aLinks.</small></div>
				</li>
			</ul>
			<div class="submit">
				<input type="submit" value="Update &raquo;"/>
			</div>
		</form>
	</fieldset>
	<?php foreach(self::$_forms as $form) : ?>
		<fieldset class="<?php echo Alinks_Form::CLASS_FIELDSET_FACTORIES; ?>">
			<legend><?php echo $form->getFactory()->getName(); ?> Factory Settings</legend>
			<?php echo $form; ?>
		</fieldset>
	<?php endforeach; ?>
	<div class="wrap">
		<h2>Uninstall aLinks</h2>
		<p>If you would like to uninstall aLinks, click the button below. This will delete all the database tables created by aLinks. You will
		lose all the keyphrases you have defined. Maybe you should <a href="admin.php?page=alinks_import_export">back them up first?</a></p>
		<form method="post">
			<input type="hidden" name="<?php echo Alinks_Form::FORM_ALINKS; ?>" value="uninstall" />
			<input type="hidden" name="<?php echo Alinks_Form::FORM_FACTORY; ?>" value="alinks" />
			<input type="hidden" name="alinks_uninstall_step" value="1" />
			<?php wp_nonce_field(Alinks_Form::NONCE_ACTION . '_uninstall'); ?>
			<div class="submit">
				<input type="submit" value="Uninstall aLinks &raquo;" />
			</div>
		</form>
	</div>
	<div style="width: 200px; margin: 0 auto 0 auto;">
		aLinks v<?php echo Alinks_Version::VERSION; ?>
	</div>
</div>
